<?php // этот модуль необходимо делать тольео для крупных проектов, для небольшых описание пунктов меню и файлов меню лучше делать в init.php
$__functions['init'][]      ='_enterprise_admin_vars' ;
$__functions['boot_admin'][] ='_enterprise_admin_boot' ;
//$__functions['alert'][]   ='_enterprise_admin_alert' ;
$__functions['install'][]	='_enterprise_install_modul' ;



function _enterprise_admin_vars() //
{
  $_SESSION['descr_clss'][365]['name']='Группа риска' ;
  $_SESSION['descr_clss'][365]['parent']=0 ;
  $_SESSION['descr_clss'][365]['fields']['obj_name']=array('type'=>'varchar(64)') ;
  $_SESSION['descr_clss'][365]['fields']['personal_id']=array('type'=>'int(11)','index'=>'personal_id') ;
  $_SESSION['descr_clss'][365]['fields']['age']=array('type'=>'int(1)','default'=>0,'index'=>'age') ;
  $_SESSION['descr_clss'][365]['fields']['alco']=array('type'=>'int(11)','default'=>0,'index'=>'alco') ;
  $_SESSION['descr_clss'][365]['fields']['ag']=array('type'=>'int(1)','default'=>0,'index'=>'ag') ;

}

function _enterprise_admin_boot($options)
{
  create_system_modul_obj('enterprise',$options) ;
}


function _enterprise_install_modul($DOT_root)
{
	ENGINE()->reg_cron('Обновление группы риска','ENTERPRISE/update_group_risk','0 */1 * * *') ;
	ENGINE()->reg_cron('Добавление сканов из почты','DOCS/check_mailbox_and_add_doc','*/2 * * * *') ;

	SETUP()->reg_report('Предприятие - отчеты','esmo_magnit/report_magnit_1.php') ;         //
    SETUP()->reg_report('Предприятие - отчеты','esmo_magnit/report_magnit_2.php') ;         //
    SETUP()->reg_report('Предприятие - отчеты','esmo_magnit/report_magnit_3.php') ;         //
    SETUP()->reg_report('Предприятие - отчеты','esmo_magnit/report_personal_messages_as_napravlenie.php') ;         //
    SETUP()->reg_report('Предприятие - отчеты','esmo_magnit/report_personals_of_group.php') ;         //
    SETUP()->reg_report('Предприятие - отчеты','esmo_magnit/report_mo_session_time.php') ;         //
    SETUP()->reg_report('Предприятие - отчеты','esmo_magnit/report_itog7_local.php') ;         //
    SETUP()->reg_report('Предприятие - отчеты','esmo_magnit/report_magnit_scan.php') ;         //
    SETUP()->reg_report('Предприятие - отчеты','esmo_magnit/report_map_mo_drivers.php') ;
    SETUP()->reg_report('Предприятие - отчеты','esmo_magnit/report_psychophysical.php') ;
	  SETUP()->reg_report('Предприятие - отчеты','esmo_magnit/report_personals_pmo_opo.php') ;         //
	  SETUP()->reg_report('Предприятие - отчеты','esmo_magnit_instruction/report_personals_planned_instruction.php') ;         //

    SETUP()->reg_report('Предприятие - журналы','esmo_magnit/report_mo_smena_ecp.php') ;         //
    SETUP()->reg_report('Предприятие - журналы','esmo_magnit/report_mo_before_race.php') ;         //
    SETUP()->reg_report('Предприятие - журналы','esmo_magnit/report_mo_after_race.php') ;         //
    SETUP()->reg_report('Предприятие - журналы','esmo_magnit/report_mo_otstrannye.php') ;         //
    SETUP()->reg_report('Предприятие - журналы','esmo_magnit/report_docs_napravlenie.php') ;         //
    SETUP()->reg_report('Предприятие - журналы','esmo_magnit/report_docs_protokol.php') ;         //
    SETUP()->reg_report('Предприятие - журналы','esmo_magnit/report_personal_riski.php') ;         //
    SETUP()->reg_report('Предприятие - журналы','esmo_magnit/report_journal_medical_reports.php') ;         //


    //SETUP()->reg_report('Инструктажи','esmo_magnit_instruction/report_lessions_jurnal.php') ;         //

	ENGINE()->reg_ext('esmo_magnit','Предприятие') ;


	if (SETUP_LEVEL('create_default_objects')) ENTERPRISE()->create_event_ag() ;

	$pattern=array() ;
	$pattern['table_title']		        = 	'Группа риска' ;
	$pattern['use_clss']		        = 	'365' ;
	//$pattern['def_recs'][]		        =	array ('parent'=>0,	'clss'=>1,	'enabled'=>1,	'indx'=>0,	'obj_name'=>'Параметры проверки') ;
	//$pattern['def_recs'][]		        =	array ('parent'=>1,	'clss'=>1,	'enabled'=>1,	'indx'=>1,	'obj_name'=>'Въезд') ;
	//$pattern['def_recs'][]		        =	array ('parent'=>1,	'clss'=>1,	'enabled'=>1,	'indx'=>1,	'obj_name'=>'Выезд') ;
	$pattern['table_name']				= 	'obj_site_group_risk' ;
	$pattern['table_clss']				= 	101 ;
	$pattern['table_parent']			= 	$DOT_root;
	create_table_by_pattern($pattern) ;

	$sql='create view view_personals_riski_group as
	        select  t1.*,t2.c_data as risk_from,t2.age as risk_age,t2.ag as risk_ag,t2.alco as risk_alco
	        from view_personals t1
	        left join obj_site_group_risk t2 on t2.personal_id=t1.pkey 
	        where t1.enabled=1 and t1.clss=211 and not t2.personal_id is null
	        ' ;
	create_viewer('view_personals_riski_group',$sql) ;

    $id_sect=SETUP_add_section_to_site_setting('Служебные настройки') ;
    SETUP_add_rec_to_site_setting($id_sect,"Считывание QR-кода документа, порог интенсивности цвета для преобразования в Ч/Б",0.77,'LS_qr_code_scan_threshold') ;
    SETUP_add_rec_to_site_setting($id_sect,"Проверка операций, лимит со сотрудникам за операцию",10,'LS_debug_personal_limit') ;
    $id_sect=SETUP_add_section_to_site_setting('Прием сканов') ;
    SETUP_add_rec_to_site_setting($id_sect,"Разрешить совместную работу со сканами",0,'LS_scan_allow_change_account_work') ;
    SETUP_add_rec_to_site_setting($id_sect,"Разрешить оператору обработку более чем одного скана одновременно",0,'LS_scan_allow_account_multiwork') ;
    SETUP_add_rec_to_site_setting($id_sect,"Разрешить обработку сканов только администратору",1,'LS_scan_allow_scan_working_only_admin',array('el'=>'checkbox')) ;

}




?>
